      subroutine verdim(mess,jvar,maxj)
      character*(*) mess
      if(jvar.gt.maxj) then
         write(6,'(a)') mess
         write(6,*) '                    ',jvar,maxj
         stop
      endif
      return
      end
       subroutine verdim1(ipoint,jvar,maxj)
      if(jvar.gt.maxj) then
         open(1,file='CSD_DYNAM',status='unknown')
         write(1,'(a1)') 'T'
         write(1,'(i2)') ipoint
         if(ipoint.eq.5) then
            write(1,'(6x,''parameter(ndimcs0='',i9,'')'')')
     *   ((jvar-1)/8+1)*8
            print*,'dimension de ndimcs0 trop petite :'
            print*,'ndimcs0=',maxj
         else
            write(1,'(6x,''parameter(iadri='',i9,'')'')')
     *   ((jvar-1)/8+1)*8
            print*,'dimension de iadri trop petite :'
            print*,'iadri=',maxj
         endif
         print*,'ipoint',ipoint
         print*,'passage a ',jvar
         stop
      endif
      return
      end
 
